/****************************************************************************
**
** Copyright (C) 2000-2008 TROLLTECH ASA. All rights reserved.
**
** This file is part of the Opensource Edition of the Qtopia Toolkit.
**
** This software is licensed under the terms of the GNU General Public
** License (GPL) version 2.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
** 
** Adapted for Motorola MPx220 by SiliX
**
****************************************************************************/

#include "mpx220kbddriverplugin.h"
#include "mpx220kbdhandler.h"

#include <qtopiaglobal.h>
#include <qtopialog.h>

mpx220KbdDriverPlugin::mpx220KbdDriverPlugin( QObject *parent )
    : QKbdDriverPlugin( parent )
{}

mpx220KbdDriverPlugin::~mpx220KbdDriverPlugin()
{}

QWSKeyboardHandler* mpx220KbdDriverPlugin::create(const QString& driver, const QString&)
{
    qWarning("mpx220KbdDriverPlugin:create()");
    return create( driver );
}

QWSKeyboardHandler* mpx220KbdDriverPlugin::create( const QString& driver)
{
    if( driver.toLower() == "mpx220kbdhandler" ) {
        qWarning("Before call mpx220KbdHandler()");
        return new mpx220KbdHandler();
    }
    return 0;
}

QStringList mpx220KbdDriverPlugin::keys() const
{
    return QStringList() << "mpx220kbdhandler";
}

QTOPIA_EXPORT_QT_PLUGIN(mpx220KbdDriverPlugin)
